From c5d83347c1550efe2e7eb4e114ac2fc0a18f6e6a Mon Sep 17 00:00:00 2001
From: Fatih Degirmenci <fdegir@gmail.com>
Date: Thu, 15 Mar 2018 15:32:40 +0100
Subject: Remove opnfv vm from known_hosts

Change-Id: If53b51fc26d642afa39c5e618afcd23fab395acc
Signed-off-by: Fatih Degirmenci <fdegir@gmail.com>
---
 xci/scripts/vm/start-new-vm.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

(limited to 'xci/scripts')

diff --git a/xci/scripts/vm/start-new-vm.sh b/xci/scripts/vm/start-new-vm.sh
index 76506830..ec0edeea 100755
--- a/xci/scripts/vm/start-new-vm.sh
+++ b/xci/scripts/vm/start-new-vm.sh
@@ -259,9 +259,9 @@ done
 # Fix up perms if needed to make ssh happy
 chmod 600 ${BASE_PATH}/xci/scripts/vm/id_rsa_for_dib*
 # Remove it from known_hosts
-ssh-keygen -R $_ip || true
-ssh-keygen -R ${VM_NAME} || true
-ssh-keygen -R ${OPNFV_VM_IP} || true
+for item in $_ip ${VM_NAME} ${OPNFV_VM_IP} ${VM_NAME}_opnfv; do
+    ssh-keygen -R $item || true
+done
 
 # Initial ssh command until we setup everything
 vm_ssh="ssh -o StrictHostKeyChecking=no -i ${BASE_PATH}/xci/scripts/vm/id_rsa_for_dib -l devuser"
-- 
cgit